version: '3.8'

services:
  backend-swoole: &backend-local
    volumes:
      - ./src/$BACKEND_SRC_DIR:/app
      - ./src/$BACKEND_SRC_DIR/entrypoint.sh:/entrypoint.sh
      - ./src/$BACKEND_SRC_DIR/opcache.ini:/usr/local/etc/php/conf.d/opcache.ini

  nginx-swoole: &nginx-local
    volumes:
      - ./src/$BACKEND_SRC_DIR/nginx.conf:/etc/nginx/conf.d/laravel_server_block.conf

  backend-roadrunner: *backend-local

  nginx-roadrunner: *nginx-local

  backend-php-fpm: *backend-local

  nginx-php-fpm: *nginx-local

  database:
    ports:
      - "0.0.0.0:5432:5432"
